summaryrefslogtreecommitdiffstats
path: root/update-perl-pkg
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2024-10-14 21:13:30 +0200
committerFlorian Pritz <bluewind@xinu.at>2024-10-14 21:54:03 +0200
commit040505e07691a904dbf5bc69dafe3d6773731527 (patch)
treea6def729f485d317a4c12741e45fe8b866e2ec0b /update-perl-pkg
parentd6c2320512a665f5c75b36769f5eb3a2e313b7bd (diff)
downloadbin-040505e07691a904dbf5bc69dafe3d6773731527.tar.gz
bin-040505e07691a904dbf5bc69dafe3d6773731527.tar.xz
Update to pkgctl for svn2git move
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'update-perl-pkg')
-rwxr-xr-xupdate-perl-pkg36
1 files changed, 19 insertions, 17 deletions
diff --git a/update-perl-pkg b/update-perl-pkg
index b8cd65f..621e6ee 100755
--- a/update-perl-pkg
+++ b/update-perl-pkg
@@ -4,35 +4,37 @@ set -euo pipefail
pkg=$1
-targets=(~/arch/{community,extra})
+targets=(~/arch/pkgs)
found_pkg=0
for target in "${targets[@]}"; do
- if [[ -f "$target/$pkg/trunk/PKGBUILD" ]]; then
+ if [[ -f "$target/$pkg/PKGBUILD" ]]; then
found_pkg=1
cd "$target/$pkg"
- svn up
- cd trunk
+ git pull --rebase --autostash
break
fi
done
if ((!found_pkg)); then
- echo "Package not found. Creating not supported here"
- exit 1
+ cd ~/arch/pkgs
+ pkgctl repo clone "$pkg"
+ cd "$pkg"
+ #echo "Package not found. Creating not supported here"
+ #exit 1
fi
-case "${target##*/}" in
- extra) relcmd=(extrapkg);;
- community) relcmd=(communitypkg);;
- *) echo "Unable to determine release command for target '$target'"; exit 1; ;;
-esac
+#case "${target##*/}" in
+ #extra) relcmd=(extrapkg);;
+ #community) relcmd=(communitypkg);;
+ #*) echo "Unable to determine release command for target '$target'"; exit 1; ;;
+#esac
gen-perl-pkg "$pkg"
-ch update 64
-ch cbuild 64
-checkpkg
-echo "About to release with command: ${relcmd[*]}"
+#ch update 64
+#ch cbuild 64
+pkgctl build
+echo "About to release"
read -r -p "Hit enter to release or ^C to abort"
-"${relcmd[@]}" "upstream update"
-
+#"${relcmd[@]}" "upstream update"
+pkgctl release --message "upstream update"